SQ(1)

NAME
sq network dane search - Retrieve certificates using DANE

SYNOPSIS
sq network dane search [OPTIONS] ADDRESS

DESCRIPTION
Retrieve certificates using DANE.

By default, any returned certificates are stored in the local certificate store. This can be overridden by using `--output` option.

When a certificate is retrieved using DANE, and imported into the local certificate store, any User IDs with the email address that was looked up are certificated with a local DANE-specific key. That proxy certificate is in turn certified as a minimally trusted CA (trust amount: 1 of 120) by the local trust root. How much the DANE proxy CA is trusted can be tuned using `sq pki link add` or `sq pki link retract` in the usual way.

OPTIONS

  Subcommand options

--all
    Fetch updates for all known certificates

--output=FILE
    Write to FILE (or stdout when omitted) instead of importing into the certificate store

ADDRESS
    Retrieve certificate(s) for ADDRESS

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Retrieve Alice's certificate over DANE.

    sq network dane search alice@example.org

Retrieve updates for all known certificates over DANE.

    sq network dane search --all

SEE ALSO
sq(1), sq-network(1), sq-network-dane(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
1.2.0 (sequoia-openpgp 1.22.0)